Bug 681276 - [PATCH] Honor $TMPDIR
[PATCH] Honor $TMPDIR
Status: NEW
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 10:58 EST by Ville Skyttä
Modified: 2015-07-15 11:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Honor $TMPDIR (2.02 KB, patch)
2011-03-01 10:58 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2011-03-01 10:58:03 EST
Created attachment 481671 [details]
Honor $TMPDIR

Note that the first hunk of the patch uses "mktemp -t" and coreutils docs say -t is deprecated; if pre-coreutils-mktemp support is no longer needed the -t could be replaced with --tmpdir.
Comment 1 Bill Nottingham 2011-03-01 14:17:23 EST
Not sure about this. What usage case is there for redefining the system $TMPDIR?
Comment 2 Ville Skyttä 2011-03-01 16:14:48 EST
Don't know about use cases specific to the system tmp dir, but then again I don't know why $TMPDIR (FWIW defined by POSIX) shouldn't be used whenever defined.
Comment 3 Bill Nottingham 2011-03-02 13:17:59 EST
My concern is that it makes the network scripts sensitive to root's environment when run manually, which may not be the same as the system environment (when run on startup), leading to unpredictable behavior.
Comment 4 Fedora End Of Life 2013-04-03 12:30:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Admin XMLRPC Client 2013-09-04 10:49:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 11:35:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 11:17:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.